> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/templates.md).

# Template

The Template object provides functionality for templates to be made and automatically delivered once a set of rules based on type is met. This enables the client to know what is happening with their order and if anything is needed of them.

This object contains the following attributes:

<table data-search="false"><thead><tr><th width="120">Field</th><th width="129">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>(Read-only) The template's ID.</td></tr><tr><td><code>name</code></td><td>string</td><td>The name of the template.</td></tr><tr><td><code>type</code></td><td>string</td><td>The type of template.</td></tr><tr><td><code>content</code></td><td>string</td><td>The content of the template.</td></tr><tr><td><code>default</code></td><td>boolean</td><td><ul><li>Each product has 4 defaults automatically generated upon product creation (against each status).</li><li>Each template automatically created has a default system message that the client account will need to update.</li><li>The default cannot be deleted, but non-default can be deleted.</li></ul></td></tr><tr><td><code>product</code></td><td>object</td><td>Represents the <a href="/pages/CeDNDt5ij1heXLy3ADoZ"><code>product</code></a> object.</td></tr><tr><td><code>audit</code></td><td>object</td><td>Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

## Example

{% code title="TEMPLATE OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "TPL-1234-5678-0001",
  "name": "Thank you for your interest",
  "type": "RequestProcessing",
  "content": "We are delighted that you have contacted us at SoftwareOne. Your interest in Microsoft 365 Online Services product is greatly valued, and we are here to provide all the support you need. Our dedicated team is actively working on your query, and we are committed to responding within 24 hours. \n Thank you!!!",
  "isDefault": true,
  "product": {
    "id": "PRD-1234-5678-0001"
  },
  "externalIds": {
    "vendor": "op-322-322",
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
